> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# list AutomationOutputProcessors by Run

GET https://{tenant_name}.benchling.com/api/v2/assay-runs/{assay_run_id}/automation-output-processors

Deprecated in favor of '/automation-output-processors'. For each output config in the run config, will create an empty automationOutputProcessor for the run if one doesn't exist.

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/assay-runs/list-automation-output-processors-deprecated

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `assay_run_id` (string, required)

### Query parameters

- `nextToken` (string, optional) — Token for pagination

## Response

### 200

OK

- `automationOutputProcessors` (list of AutomationOutputProcessor, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### AutomationOutputProcessor

- `assayRunId` (string, optional)
- `automationFileConfig` (AutomationOutputProcessorAutomationFileConfig, optional)
- `file` (Blob, optional, nullable)
- `id` (string, optional)
- `status` (enum, optional)
  - Allowed values: `SUCCEEDED`, `FAILED`, `NOT_STARTED`, `RUNNING`
- `apiURL` (string, optional) — The canonical url of the Automation Output Processor in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `completeWithErrors` (boolean, optional) — Specifies whether file processing should complete with errors. False means any error in output file processing will result in no actions being committed. True means that if row-level errors occur, then failing rows and their errors will be saved to errorFile, and actions from successful rows will be committed.
- `createdAt` (datetime, optional) — DateTime the Automation Output Processor was created
- `errorFile` (Blob, optional, nullable)
- `modifiedAt` (datetime, optional) — DateTime the Automation Output Processor was last modified
- `progressStats` (AutomationProgressStats, optional) — Processing progress information.
- `transforms` (list of LabAutomationTransform, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### AutomationOutputProcessorAutomationFileConfig

- `name` (string, optional)

### Blob

- `id` (string, optional) — The universally unique identifier (UUID) for the blob.
- `mimeType` (string, optional) — eg. application/jpeg
- `name` (string, optional) — Name of the blob
- `type` (enum, optional) — One of RAW_FILE or VISUALIZATION. If VISUALIZATION, the blob may be displayed as an image preview.
  - Allowed values: `RAW_FILE`, `VISUALIZATION`
- `uploadStatus` (enum, optional)
  - Allowed values: `IN_PROGRESS`, `COMPLETE`, `ABORTED`

### ArchiveRecord

- `reason` (string, optional)

### AutomationProgressStats

Processing progress information.

- `rowsFailed` (integer, optional)
- `rowsSucceeded` (integer, optional)
- `rowsUnprocessed` (integer, optional)

### LabAutomationTransform

- `apiURL` (string, optional) — The canonical url of the transform in the API.
- `blobId` (string, optional, nullable)
- `customTransformId` (string, optional, nullable)
- `errors` (LabAutomationBenchlingAppErrors, optional)
- `id` (string, optional)
- `inputGeneratorId` (string, optional, nullable)
- `modifiedAt` (datetime, optional) — DateTime the transform was last modified.
- `outputProcessorId` (string, optional, nullable)
- `status` (enum, optional)
  - Allowed values: `NOT_STARTED`, `RUNNING`, `FAILED`, `SUCCEEDED`

### LabAutomationBenchlingAppErrors

- `topLevelErrors` (list of LabAutomationBenchlingAppErrorsTopLevelErrorsItems, optional)

### LabAutomationBenchlingAppErrorsTopLevelErrorsItems

- `errorMessage` (string, optional)

## Examples

**Response**

```json
{
  "automationOutputProcessors": [
    {
      "assayRunId": "588aca02-1a20-4b94-a40f-b3f3a0081749",
      "automationFileConfig": {
        "name": "MyInstrumentName"
      },
      "file": {
        "id": "c33fe52d-fe6a-4c98-adcd-211bdf6778f7",
        "mimeType": "text/csv",
        "name": "MyInstrumentInputFile.csv",
        "type": "RAW_FILE",
        "uploadStatus": "IN_PROGRESS"
      },
      "id": "aop_C3wGA9HF",
      "status": "SUCCEEDED",
      "apiURL": "https://benchling.com/api/v2/automation-output-processors/aop_C3wGA9HF",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "completeWithErrors": true,
      "createdAt": "2024-01-15T09:30:00Z",
      "errorFile": {
        "id": "c33fe52d-fe6a-4c98-adcd-211bdf6778f7",
        "mimeType": "text/csv",
        "name": "MyInstrumentInputFile.csv",
        "type": "RAW_FILE",
        "uploadStatus": "IN_PROGRESS"
      },
      "modifiedAt": "2024-01-15T09:30:00Z",
      "progressStats": {
        "rowsFailed": 1,
        "rowsSucceeded": 1,
        "rowsUnprocessed": 1
      },
      "transforms": [
        {
          "apiURL": "string",
          "blobId": "string",
          "customTransformId": "string",
          "errors": {
            "topLevelErrors": [
              {
                "errorMessage": "string"
              }
            ]
          },
          "id": "string",
          "inputGeneratorId": "string",
          "modifiedAt": "2024-01-15T09:30:00Z",
          "outputProcessorId": "string",
          "status": "NOT_STARTED"
        }
      ]
    }
  ],
  "nextToken": "Im5ldyB0ZXN0Ig=="
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/assay-runs/assay_run_id/automation-output-processors"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/assay-runs/assay_run_id/automation-output-processors';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```